STAT(1)

NOM
stat - Afficher l'état d'un fichier ou d'un système de fichiers

SYNOPSIS
stat [OPTION] ... FICHIER ...

DESCRIPTION

Afficher l'état d'un fichier ou d'un système de fichiers.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-L, --dereference
    suivre les liens

-f, --file-system
    afficher l'état du système de fichiers plutôt que celui du fichier

-c  --format=FORMAT
    utiliser le FORMAT indiqué plutôt que celui utilisé par défaut

--printf=FORMAT
    identique à --format, mais interpréter les caractères déspécifiés par une contre-oblique, et ne pas afficher de nouvelle ligne. Pour afficher une nouvelle ligne, inclure \n dans le FORMAT.

-t, --terse
    afficher les informations sous forme concise

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Les séquences de format valables pour les fichiers (sans --file-system) sont :

%a  droits d'accès en octal

%A  droits d'accès dans un format lisible par un humain

%b  nombre de blocs alloués (consultez « %B »)

%B  taille, en octets, de chaque bloc rapporté par %b

%C  chaîne du contexte de sécurité SELinux

%d  numéro de périphérique en décimal

%D  numéro de périphérique en hexadécimal

%f  mode brut en hexadécimal

%F  type de fichier

%g  identifiant de groupe du propriétaire

%G  nom de groupe du propriétaire

%h  nombre de liens directs (« hard »)

%i  numéro d'inode

%m  point de montage

%n  nom de fichier

%N  nom du fichier cité, déréférencé s'il s'agit d'un lien symbolique

%o  indication de taille de transfert optimale en entrée/sortie

%s  taille totale, en octets

%t  type majeur de périphérique en hexadécimal, pour les fichiers spéciaux de périphérique bloc ou caractère

%T  type mineur de périphérique en hexadécimal, pour les fichiers spéciaux de périphérique bloc ou caractère

%u  identifiant du propriétaire

%U  nom d'utilisateur du propriétaire

%w  date de création au format lisible, ou « - » si elle n'est pas connue

%W  date de création en seconde depuis le temps zéro de l'ordinateur, ou 0 si elle n'est pas connue

%x  date du dernier accès au format lisible

%X  date du dernier accès en seconde depuis le temps zéro de l'ordinateur

%y  date de la dernière modification d’état en format lisible

%Y  date de la dernière modification d’état en seconde depuis le temps zéro de l'ordinateur

%z  date du dernier changement d’état en format lisible

%Z  date du dernier changement d’état en seconde depuis le temps zéro de l'ordinateur

Séquences de format valables pour les systèmes de fichiers :

%a  nombre de blocs libres disponibles pour les utilisateurs normaux

%b  nombre total de blocs de données dans le système de fichiers

%c  nombre total d'inodes dans le système de fichiers

%d  nombre d'inodes libres dans le système de fichiers

%f  nombre de blocs libres dans le système de fichiers

%i  identifiant du système de fichier en hexadécimal

%l  longueur maximale des noms de fichier

%n  nom de fichier

%s  taille des blocs (pour des transferts plus rapides)

%S  taille fondamentale des blocs (pour le décompte des blocs)

%t  type du système de fichier en hexadécimal

%T  type du système de fichier dans un format lisible par un humain

NOTE : votre interpréteur de commandes peut avoir sa propre version de stat, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par Michael Meskes.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de stat à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
stat(2)

Documentation complète : <http://www.gnu.org/software/coreutils/stat>
aussi disponible localement à l’aide de la commande : info '(coreutils) stat invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Luc Froidefond <luc DOT froidefond AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.